openSUSE Security Update : zziplib (openSUSE-2018-1277)

Medium Nessus Plugin ID 118447

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for zziplib fixes the following issues :

- CVE-2018-17828: Remove any '../' components from pathnames of extracted files to avoid path traversal during unpacking. (bsc#1110687)

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected zziplib packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1110687

Plugin Details

Severity: Medium

ID: 118447

File Name: openSUSE-2018-1277.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/10/26

Modified: 2018/10/26

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libzzip-0-13, p-cpe:/a:novell:opensuse:libzzip-0-13-32bit, p-cpe:/a:novell:opensuse:libzzip-0-13-debuginfo, p-cpe:/a:novell:opensuse:libzzip-0-13-debuginfo-32bit, p-cpe:/a:novell:opensuse:zziplib-debugsource, p-cpe:/a:novell:opensuse:zziplib-devel, p-cpe:/a:novell:opensuse:zziplib-devel-32bit, p-cpe:/a:novell:opensuse:zziplib-devel-debuginfo, p-cpe:/a:novell:opensuse:zziplib-devel-debuginfo-32bit, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/10/25

Reference Information

CVE: CVE-2018-17828